Updated: 2012-05-23 Due date:
Has patch: Yes
Subject: Provide format.json ViewHelper
Description

Hi,

i suggest to add type json to the escape viewhelper.

Sometime you want to render json output with fluid and not with an own json view. The problem is that fluid also uses json like syntax,
so if you want to add an object to a json string you run into a problem.

Imagine adding a link with the link viewhelper. It returns a sting with double quotes which need to be escaped for json.

I simply added type json to the escape viewhelper which returns the $value json_encode()'ed.

Tell me what you think.

Regards,
Kevin

Associated revisions
Revision 87ea437e - 2012-05-22 16:13 - Adrian Föder

[FEATURE] Adds a format.json ViewHelper

Provide a ViewHelper that enables putting JSON out of an array or
object. Basically wraps PHP's native json_encode() method.

Change-Id: I4bb364220e9c8a96c8ec748eed8247b7f990b72e
Resolves: #12442
Releases: 1.2

Revision 50dcde38 - 2012-05-22 17:57 - Adrian Föder

[TASK] Disable escapingInterceptor in Format.Json ViewHelper

Because the provided ViewHelper children will never be put
through to the template but only be used for source value
retrieval, the escapingInterceptor gets disabled.

Change-Id: I56df6e8d24ef9d6b831af732cfffded55fa97636
Related: #12442
Releases: 1.2
History
#1 - 2011-01-21 15:49 - Kevin Ulrich Moschallski
- File 12442.patch added

#2 - 2011-01-21 15:50 - Kevin Ulrich Moschallski
- File 12442_v2.patch added

Description added.

#3 - 2011-05-06 10:38 - Sebastian Kurfuerst
- Category set to ViewHelpers
- Priority changed from Should have to Could have
- Has patch set to Yes

#4 - 2011-07-18 09:53 - Bastian Waidelich
- Subject changed from Add type json to escape viewhelper to Provide format.json ViewHelper

Note: The escape ViewHelper will be deprecated in the next version (see #27628) so this functionality should be put in it's own format.json
ViewHelper. I changed the subject of the issue accordingly

#5 - 2012-01-27 14:33 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8723

#6 - 2012-02-07 12:46 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8723

#7 - 2012-02-22 15:19 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/8723

#8 - 2012-02-22 15:20 - Karsten Dambekalns
- Target version set to 1.1

#9 - 2012-03-07 17:39 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9462
#10 - 2012-05-21 17:01 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11385

#11 - 2012-05-21 17:04 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9462

#12 - 2012-05-22 13:49 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9462

#13 - 2012-05-22 13:50 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9462

#14 - 2012-05-22 14:09 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9462

#15 - 2012-05-22 16:13 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9462

#16 - 2012-05-23 02:38 - Adrian Föder
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:87ea437e05eb0838afa45c24722785f7c0630240.

Files
12442.patch 410 Bytes 2011-01-21 Kevin Ulrich Moschallski
12442_v2.patch 785 Bytes 2011-01-21 Kevin Ulrich Moschallski
